about summary refs log tree commit diff
path: root/test/targa-roundtrip.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/targa-roundtrip.test')
-rwxr-xr-xtest/targa-roundtrip.test19
1 files changed, 7 insertions, 12 deletions
diff --git a/test/targa-roundtrip.test b/test/targa-roundtrip.test
index 39ea8bd7..2dd04e91 100755
--- a/test/targa-roundtrip.test
+++ b/test/targa-roundtrip.test
@@ -4,7 +4,7 @@
 
 tmpdir=${tmpdir:-/tmp}
 
-echo "Test 1: Should print 281226646 481, cksum of maze.pbm, ten times"
+echo "Test 1:  Should print 281226646 481 ten times"
 
 for mode in "-mono" "-mono -norle" \
             "-cmap" "-cmap -norle" "-cmap16" "-cmap16 -norle" \
@@ -15,11 +15,10 @@ for mode in "-mono" "-mono -norle" \
     pgmtopbm -threshold -val 0.5 | cksum
   done
 
-echo \
-  "Test 2:  Should produce 1571496937 33838, cksum of testimg.red, ten times"
+echo "Test 2:  Should produce 1571496937 33838 ten times"
 
-test_pam=${tmpdir}/testimg.pam
-pamchannel -infile=testimg.ppm -tupletype="GRAYSCALE" 0 > ${test_pam}
+test_pam=${tmpdir}/testimg.pgm
+pamchannel -infile=testimg.ppm -tupletype="GRAYSCALE" 0 > ${test_pam} 
 
 for mode in "-mono" "-mono -norle" \
             "-cmap" "-cmap -norle" "-cmap16" "-cmap16 -norle" \
@@ -30,16 +29,14 @@ for mode in "-mono" "-mono -norle" \
 
 rm ${test_pam}
 
-
-echo \
-    "Test 3: Should print 1926073387 101484, cksum of testimg.ppm, four times"
+echo "Test 3.  Should print 1926073387 101484 four times"
 
 for mode in "-rgb" "-rgb -norle" "" "-norle"
   do
   pamtotga ${mode} testimg.ppm | tgatoppm | cksum
   done
 
-echo "Test 4: Should print 0 0 0 : 0 six times"
+echo "Test 4.  Should print 0 0 0 : 0 six times"
 
 test256_ppm=${tmpdir}/test256.ppm
 pnmquant 256 testimg.ppm > ${test256_ppm} || echo "pnmquant failed"
@@ -51,9 +48,7 @@ for mode in "-rgb" "-rgb -norle" "-cmap" "-cmap -norle" "" "-norle"
   echo ${PIPESTATUS[@]} ":" $?
 done
 
-
-echo \
-    "Test 5: Should print 0 0 0 : 0 twice, then 0 0 0 0 : 0 six times"
+echo "Test 4.  Should print 0 0 0 : 0 twice, then 0 0 0 0 : 0 six times"
 
 test256_31_ppm=${tmpdir}/test256-31.ppm
 pamdepth 31 ${test256_ppm} > ${test256_31_ppm} || echo "pamdepth failed"